package org.bench4q.share.models.master;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * When recording a script, this will be response of start or stop
 * 
 * @author coderfengyun
 * 
 */
@XmlRootElement(name = "OperateScriptServerResponse")
public class OperateScriptServerResponseModel {
	private boolean success;
	private String failCauseString;
	private String hostNameString;
	private int port;
	private String fileName;
	private List<ScriptModel> scriptModels;

	@XmlElement
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	@XmlElement
	public String getFailCauseString() {
		return failCauseString;
	}

	public void setFailCauseString(String failCauseString) {
		this.failCauseString = failCauseString;
	}

	@XmlElement
	public String getHostNameString() {
		return hostNameString;
	}

	public void setHostName(String hostNameString) {
		this.hostNameString = hostNameString;
	}

	@XmlElement
	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	@XmlElement
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	@XmlElement
	public List<ScriptModel> getScriptModels() {
		return scriptModels;
	}

	public void setScriptModels(List<ScriptModel> scriptModels) {
		this.scriptModels = scriptModels;
	}


}
